Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
KD-120RD
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2004
Posts: 149
Location: Hamburg

PostPosted: Tue Aug 04, 2009 11:34 am    Post subject: Reply with quote

gaelic_cargal wrote:
KD-120RD wrote:
kde has a fixed release cycle of 6 months again, so now +6 months.

or check http://techbase.kde.org/Schedules for a more detailed roadmap


Well, i know that page. My post wasn't that clear. I'm speaking of the next release: 4.3.6x :D
[list=]

oh ic. sorry i dont follow kde development that close. [/list]i would guess they are focusing on a save release of 4.3.0. so mb end of the week for next 4.3.6x?
_________________
(\ _/)
(O.o)
(>< ) This is Bunny. Copy Bunny into your signature to help him on his way to world domination.
Back to top
View user's profile Send private message
KD-120RD
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2004
Posts: 149
Location: Hamburg

PostPosted: Tue Aug 04, 2009 11:46 am    Post subject: Reply with quote

genstorm wrote:
wow, 4.3.0 is currently submitted to portage. now, will that finally shut up the trolls? :lol:


Yay, thats greate. All hail kde-gentoo guys!
_________________
(\ _/)
(O.o)
(>< ) This is Bunny. Copy Bunny into your signature to help him on his way to world domination.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Tue Aug 04, 2009 5:14 pm    Post subject: Reply with quote

Code:
>>> Emerging (1 of 1) kde-base/printer-applet-4.3.61 from kde
 * kdeutils-4.3.61.tar.lzma RMD160 SHA1 SHA256 size ;-) ...                                                                              [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                     [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                    [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                   [ ok ]
>>> Unpacking source...                                                                                                                       
 * Unpacking parts of kdeutils-4.3.61.tar.lzma to /var/tmp/portage/kde-base/printer-applet-4.3.61/work ...                                [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/printer-applet-4.3.61/work                                                                     
>>> Preparing source in /var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61 ...                                         
>>> Source prepared.                                                                                                                           
>>> Configuring source in /var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61 ...                                       
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61_build"                                   
loading initial cache file /var/tmp/portage/kde-base/printer-applet-4.3.61/temp/gentoo_common_config.cmake                                     
-- The C compiler identification is GNU                                                                                                         
-- The CXX compiler identification is GNU                                                                                                       
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc                                                                               
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works                                                                     
-- Detecting C compiler ABI info                                                                                                               
-- Detecting C compiler ABI info - done                                                                                                         
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++                                                                             
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works                                                                   
-- Detecting CXX compiler ABI info                                                                                                             
-- Detecting CXX compiler ABI info - done                                                                                                       
-- Looking for Q_WS_X11                                                                                                                         
-- Looking for Q_WS_X11 - found                                                                                                                 
-- Looking for Q_WS_WIN                                                                                                                         
-- Looking for Q_WS_WIN - not found.                                                                                                           
-- Looking for Q_WS_QWS                                                                                                                         
-- Looking for Q_WS_QWS - not found.                                                                                                           
-- Looking for Q_WS_MAC                                                                                                                         
-- Looking for Q_WS_MAC - not found.                                                                                                           
-- Found Qt-Version 4.5.2 (using /usr/bin/qmake)                                                                                               
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so                                                                                                                                 
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found                                                                                                                         
-- Looking for gethostbyname                                                                                                                   
-- Looking for gethostbyname - found                                                                                                           
-- Looking for connect                                                                                                                         
-- Looking for connect - found                                                                                                                 
-- Looking for remove                                                                                                                           
-- Looking for remove - found                                                                                                                   
-- Looking for shmat                                                                                                                           
-- Looking for shmat - found                                                                                                                   
-- Looking for IceConnectionNumber in ICE                                                                                                       
-- Looking for IceConnectionNumber in ICE - found                                                                                               
-- Found X11: /usr/lib64/libX11.so                                                                                                             
-- Looking for include files CMAKE_HAVE_PTHREAD_H                                                                                               
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found                                                                                       
-- Looking for pthread_create in pthreads                                                                                                       
-- Looking for pthread_create in pthreads - not found                                                                                           
-- Looking for pthread_create in pthread                                                                                                       
-- Looking for pthread_create in pthread - found                                                                                               
-- Found Threads: TRUE                                                                                                                         
-- Found Automoc4: /usr/bin/automoc4                                                                                                           
-- Found Perl: /usr/bin/perl                                                                                                                   
-- Phonon Version: 4.3.50                                                                                                                       
-- Found Phonon: /usr/lib64/libphonon.so                                                                                                       
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                                                         
-- Performing Test _OFFT_IS_64BIT                                                                                                               
-- Performing Test _OFFT_IS_64BIT - Success                                                                                                     
-- Performing Test HAVE_FPIE_SUPPORT                                                                                                           
-- Performing Test HAVE_FPIE_SUPPORT - Success                                                                                                 
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL                                                                                             
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success                                                                                   
-- Performing Test __KDE_HAVE_GCC_VISIBILITY                                                                                                   
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success                                                                                         
-- Found KDE 4.3 include dir: /usr/include                                                                                                     
-- Found KDE 4.3 library dir: /usr/lib64                                                                                                       
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler                                                                     
-- Found automoc4: /usr/bin/automoc4                                                                                                           
-- Found LibKNotificationItem-1: /usr/lib64/libknotificationitem-1.so                                                                           
--   found qimageblitz, version 4.0.0                                                                                                           
-- Found QImageBlitz: /usr/include/qimageblitz                                                                                                 
-- Found GMP: /usr/include                                                                                                                     
--   found qca2, version 2.0.2                                                                                                                 
-- Found QCA2: /usr/lib64/qca2/libqca.so                                                                                                       
-- Found PythonInterp: /usr/bin/python                                                                                                         
-- Found Python executable: /usr/bin/python                                                                                                     
-- Found Python version: 2.6.2                                                                                                                 
-- Found Python library: /usr/lib64/libpython2.6.so                                                                                             
-- Found SIP version: 4.8.2                                                                                                                     
-- Found PyQt4 version: 4.5.4                                                                                                                   
Traceback (most recent call last):                                                                                                             
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>                                                                       
    import PyKDE4.pykdeconfig                                                                                                                   
ImportError: No module named PyKDE4.pykdeconfig                                                                                                 

-----------------------------------------------------------------------------
-- The following external packages were located on your system.             
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * QImageBlitz - An image effects library                                 
   * GMP - The GNU Multiple Precision Arithmetic Library                     
   * QCA2 - Qt Cryptographic Architecture                                   

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.     
-- Consider installing them to enable more features from this software.     
-----------------------------------------------------------------------------
   * PyKDE4  <http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/>   
     PyKDE4 was not found.  It is needed by printer-applet to run.  (Use -DINSTALL_PRINTER_APPLET=TRUE to install anyway)
   * PyCups  <http://cyberelk.net/tim/software/pycups/>                                                                 
     PyCups was not found.  It is needed by printer-applet to run.  (Use -DINSTALL_PRINTER_APPLET=TRUE to install anyway)
   * system-config-printer  <http://cyberelk.net/tim/software/system-config-printer/>                                   
     system-config-printer was not found.  Some of its modules (cupshelpers.py and ppds.py) are optionally used by printer-applet for auto configure of new printers.  You should also install hal-cups-utils <https://fedorahosted.org/hal-cups-utils/>                                       

-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type: Gentoo             
Install path: /usr             

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61_build
>>> Source configured.                                                                                               
>>> Compiling source in /var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61 ...               
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61_build"         
make -j3                                                                                                             
>>> Source compiled.                                                                                                 
>>> Test phase [not enabled]: kde-base/printer-applet-4.3.61                                                         

>>> Install printer-applet-4.3.61 into /var/tmp/portage/kde-base/printer-applet-4.3.61/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/printer-applet-4.3.61/work/printer-applet-4.3.61_build"   
make -j3 install DESTDIR=/var/tmp/portage/kde-base/printer-applet-4.3.61/image/                               
make: *** No rule to make target `install'.  Stop.                                                             
 *                                                                                                             
 * ERROR: kde-base/printer-applet-4.3.61 failed.                                                               
 * Call stack:                                                                                                 
 *               ebuild.sh, line   49:  Called src_install                                                     
 *             environment, line 4009:  Called kde4-meta_src_install                                           
 *             environment, line 3213:  Called kde4-base_src_install                                           
 *             environment, line 2841:  Called cmake-utils_src_install                                         
 *             environment, line 1100:  Called die                                                             
 * The specific snippet of code:                                                                               
 *       emake install DESTDIR="${D}" || die "Make install failed";                                           
 *  The die message:                                                                                           
 *   Make install failed                     




but:

Code:
*  kde-base/pykde4
      Latest version available: 4.3.61
      Latest version installed: 4.3.61
      Size of files: 3,806 kB         
      Homepage:      http://www.kde.org/
      Description:   Python bindings for KDE4
      License:       GPL-2                   

*  dev-python/pycups               
      Latest version available: 1.9.46
      Latest version installed: 1.9.46
      Size of files: 40 kB           
      Homepage:      http://cyberelk.net/tim/data/pycups/
      Description:   Python bindings for the CUPS API   
      License:       GPL-2                               

*  app-admin/system-config-printer-common                         
      Latest version available: 1.1.8                             
      Latest version installed: 1.1.8                             
      Size of files: 979 kB                                       
      Homepage:      http://cyberelk.net/tim/software/system-config-printer/
      Description:   Common modules of Red Hat's printer administration tool
      License:       GPL-2                                                 

*  kde-base/system-config-printer-kde
      Latest version available: 4.3.61
      Latest version installed: 4.3.61
      Size of files: 1,566 kB
      Homepage:      http://www.kde.org/
      Description:   KDE port of Red Hat's Gnome system-config-printer
      License:       GPL-2

*  app-misc/hal-cups-utils
      Latest version available: 0.6.19
      Latest version installed: 0.6.19
      Size of files: 104 kB
      Homepage:      https://fedorahosted.org/hal-cups-utils/
      Description:   Hal cups utilities
      License:       GPL-2

krogpc krog #



p.s. akonadi still not compiling for me :-(
Back to top
View user's profile Send private message
gollum
n00b
n00b


Joined: 18 May 2002
Posts: 19

PostPosted: Tue Aug 04, 2009 5:37 pm    Post subject: All smooth so far Reply with quote

genstorm wrote:
wow, 4.3.0 is currently submitted to portage. now, will that finally shut up the trolls? :lol:


From 4.2.4 -> 4.3, no overlay stuff, with portage 2.2
1. Grabbed 4.3 sets from http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=tree;f=sets -> /etc/portage/sets
2. Threw out 4.2: emerge -C @kde-4.2 @kdebase-4.2
3. Unmasked a lot: (by running:
Code:
ACCEPT_KEYWORDS="~*" emerge -pv --columns @kdebase-4.3 | grep "masked by: package.mask" | awk '{ print "~"$2 }' >> /etc/portage/package.unmask/kde43
until nothing more added (I guess this can be done smarter))
4. Keyworded a lot:
Code:
ACCEPT_KEYWORDS="~*" emerge -pv --columns @kdebase-4.3 | awk '{ print $4 }' | grep / > /etc/portage/package.keywords/kde43

5. Kdebase = 90 packages, an hour to compile on my Q9300
Code:
emerge -av @kdebase-4.3


Looks good! 8) Now to do some minor cleanups... some 4.2.4 things seems b0rken, revdep-rebuild will sort that out...

KD-120RD wrote:
Yay, thats greate. All hail kde-gentoo guys!

+1 on that! :D
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Tue Aug 04, 2009 6:49 pm    Post subject: Reply with quote

KD-120RD wrote:
genstorm wrote:
wow, 4.3.0 is currently submitted to portage. now, will that finally shut up the trolls? :lol:


Yay, thats greate. All hail kde-gentoo guys!


Me too! :)

And .. guys, the Sources for 4.3.0 are out! :)
Back to top
View user's profile Send private message
The Unabeefer
n00b
n00b


Joined: 23 Dec 2008
Posts: 60
Location: Chicago, IL

PostPosted: Tue Aug 04, 2009 7:22 pm    Post subject: Reply with quote

I am so excited!! :D Any word on when it will be fully ready in portage?! I read in a different thread they don't have all the deps in completely yet... I am on unstable with no overlay, so I am waiting for it to suddenly appear in my list of upgrades. **impatient**
_________________
I am a flying cow... worship me or DIE!!!

...and there he was, reigning supreme at number two...
The One... The Only... The Unabeefer
Back to top
View user's profile Send private message
hirakendu
Guru
Guru


Joined: 24 Jan 2007
Posts: 386
Location: san diego

PostPosted: Tue Aug 04, 2009 7:52 pm    Post subject: Reply with quote

Yeah, zero-day ebuilds for kde-4.3 :). (If I remember correctly, same has been true for kde-4.2. And may be even kde-4.1 which I didn't use.) Great job! Just waiting for the unmasking party ;).
_________________
Helium Sources || Gentoo Minimal Livecd
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Aug 04, 2009 8:52 pm    Post subject: Reply with quote

WHY does the upgrade from kde-4.2 to kde-4.3 f**** all my configs?

Anybody else experienced this behaviour?
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
hirakendu
Guru
Guru


Joined: 24 Jan 2007
Posts: 386
Location: san diego

PostPosted: Tue Aug 04, 2009 9:08 pm    Post subject: Reply with quote

While that's bad, is it totally unexpected? ;) If you meant the ~/.kde and ~/.kde4, I would usually delete them and start afresh (yeah its a bit of a hassle, but once in 6 months for a major upgrade).
_________________
Helium Sources || Gentoo Minimal Livecd
Back to top
View user's profile Send private message
Bogo
Tux's lil' helper
Tux's lil' helper


Joined: 04 May 2002
Posts: 98

PostPosted: Wed Aug 05, 2009 1:31 am    Post subject: Reply with quote

I can't access any of the overlays because the /proj and /dev directories are completely missing on git.overlays.gentoo.org

Does anyone have a usable keywords and unmask file they can post?
_________________
"I know it's only rock and roll but I like it."


Last edited by Bogo on Wed Aug 05, 2009 5:56 am; edited 1 time in total
Back to top
View user's profile Send private message
robnotts
Guru
Guru


Joined: 15 Mar 2004
Posts: 405
Location: Nottingham, UK

PostPosted: Wed Aug 05, 2009 3:42 am    Post subject: Reply with quote

Fully upgraded to 4.3.0 from 4.3.0rc3, thanks folks... looks and works wonderfully!
_________________
---

Gentoo Phenom][ X4 955 on AMD790 + Geforce 220GT 8GB/1.75TB (Desktop)
+ MythTV (3xFreeview,1xFreesat HD) on 1080p
Gentoo Turion64 X2 Geforce 6150 2GB/120GB (Laptop)
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Wed Aug 05, 2009 5:49 am    Post subject: Reply with quote

robnotts wrote:
Fully upgraded to 4.3.0 from 4.3.0rc3, thanks folks... looks and works wonderfully!


Now, my Laptop runs also with kde4.3.0. :)

I will waiting for 2 or 3 weeks for the beta of 4.4 ...

Thanks KDE-Guys!
You make a great Job!
Back to top
View user's profile Send private message
rufnut
Apprentice
Apprentice


Joined: 16 May 2005
Posts: 203

PostPosted: Wed Aug 05, 2009 12:19 pm    Post subject: Reply with quote

Bogo wrote:

Does anyone have a usable keywords and unmask file they can post?


Gollum's part3 does work but you have to execute it around 50 times !

8O

part4 was my problem too, try this below:

http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=blob_plain;f=Documentation/package.keywords/kde-4.3.keywords;hb=master

The above page is from the kde4 gentoo wiki.

(P.S. its much more fluid and refined than kde4.2.4)

Good luck.
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Wed Aug 05, 2009 6:03 pm    Post subject: Reply with quote

Hi. Does anyone has a problem with building superkaramba 4.3.0 (builds with -python)?
And btw why is aqua masked?

Code:
[ebuild     U ] kde-base/superkaramba-4.3.0 [4.2.96] USE="handbook python (-aqua) -debug (-kdeprefix)" 0 kB


Code:
[I] dev-lang/python
     Available versions:
        (2.4)   2.4.6
        (2.5)   2.5.4-r2 2.5.4-r3
        (2.6)   2.6.2-r1
        (3.1)   (~)3.1
        {berkdb bootstrap build cxx doc elibc_uclibc examples gdbm ipv6 ncurses readline sqlite ssl threads tk ucs2 wininst xml}
     Installed versions:  2.6.2-r1(2.6)(12:10:52 AM 06/05/2009)(gdbm ipv6 ncurses readline sqlite ssl threads tk xml -berkdb -build -doc -elibc_uclibc -examples -ucs2 -wininst)
                          3.1(3.1)(10:57:26 AM 08/02/2009)(gdbm ipv6 ncurses readline sqlite ssl threads tk xml -build -doc -elibc_uclibc -examples -ucs2 -wininst)
     Homepage:            http://www.python.org/
     Description:         Python is an interpreted, interactive, object-oriented programming language.


Code:
eselect python list
Available python interpreters:
  [1]   python2.6 *
  [2]   python3.1


Code:
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/karamba.cpp: In constructor ‘KarambaPython::KarambaPython(const ThemeFile&, bool)’:                                                                                                                                                                               
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/karamba.cpp:362: error: ‘Py_InitModule’ was not declared in this scope         
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/karamba.cpp:366: error: ‘PyString_FromString’ was not declared in this scope   
make[2]: *** [superkaramba/src/CMakeFiles/superkaramba.dir/python/karamba.o] Error 1                                                                                               
make[2]: *** Waiting for unfinished jobs....                                                                                                                                       
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/meter.cpp: In function ‘QString PyString2QString(PyObject*)’:                 
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/meter.cpp:94: error: ‘PyString_CheckExact’ was not declared in this scope     
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/meter.cpp:95: error: ‘PyString_AsString’ was not declared in this scope       
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/meter.cpp: In function ‘PyObject* QString2PyString(QString)’:                 
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/meter.cpp:140: error: ‘PyString_FromString’ was not declared in this scope     
make[2]: *** [superkaramba/src/CMakeFiles/superkaramba.dir/python/meter.o] Error 1                                                                                                 
In file included from /usr/include/python3.1/Python.h:72,                                                                                                                           
                 from /var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/richtextlabel.cpp:29:                                   
/usr/include/python3.1/longobject.h:36:5: warning: "SIZEOF_SOCKET_T" is not defined                                                                                                 
In file included from /usr/include/python3.1/Python.h:72,                                                                                                                           
                 from /var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/input.cpp:30:                                           
/usr/include/python3.1/longobject.h:36:5: warning: "SIZEOF_SOCKET_T" is not defined                                                                                                 
In file included from /var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/python/input.cpp:37:                                           
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/meters/meter.h:50: warning: ‘virtual void Meter::setValue(int)’ was hidden           
/var/tmp/portage/portage/kde-base/superkaramba-4.3.0/work/superkaramba-4.3.0/superkaramba/src/meters/input.h:43: warning:   by ‘virtual void Input::setValue(const QString&)’       
make[1]: *** [superkaramba/src/CMakeFiles/superkaramba.dir/all] Error 2                                                                                                             
make: *** [all] Error 2       
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Wed Aug 05, 2009 7:18 pm    Post subject: Reply with quote

TheDodger wrote:
robnotts wrote:
Fully upgraded to 4.3.0 from 4.3.0rc3, thanks folks... looks and works wonderfully!


Now, my Laptop runs also with kde4.3.0. :)


Thanks KDE-Guys!
You make a great Job!



compiling on eeepc900a!
thanks to everybody
Back to top
View user's profile Send private message
derdestiller
n00b
n00b


Joined: 08 Jan 2009
Posts: 17

PostPosted: Wed Aug 05, 2009 8:39 pm    Post subject: Reply with quote

I have following blocks... the other packages seem to automatically be uninstalled when upgrading. This is upgrade from 4.2.4. Do i have to unmerge 4.2.4 first?

Code:
[blocks B     ] kde-base/kontactinterfaces:4.2[-kdeprefix] ("kde-base/kontactinterfaces:4.2[-kdeprefix]" is blocking kde-base/kontactinterfaces-4.3.0)                                                                                                                                 
[blocks B     ] kde-base/kdepimlibs:4.3[-kdeprefix] ("kde-base/kdepimlibs:4.3[-kdeprefix]" is blocking kde-base/kdepimlibs-4.2.4-r1)       
[blocks B     ] kde-base/pykde4:4.2[-kdeprefix] ("kde-base/pykde4:4.2[-kdeprefix]" is blocking kde-base/pykde4-4.3.0)                       
[blocks B     ] kde-base/libkdepim:4.2[-kdeprefix] ("kde-base/libkdepim:4.2[-kdeprefix]" is blocking kde-base/libkdepim-4.3.0)             
[blocks B     ] kde-base/plasma-workspace:4.3[-kdeprefix] ("kde-base/plasma-workspace:4.3[-kdeprefix]" is blocking kde-base/plasma-workspace-4.2.4)                                                                                                                                     
[blocks B     ] kde-base/kioclient:4.2[-kdeprefix] ("kde-base/kioclient:4.2[-kdeprefix]" is blocking kde-base/kioclient-4.3.0)             
[blocks B     ] kde-base/kde-menu-icons[-kdeprefix] ("kde-base/kde-menu-icons[-kdeprefix]" is blocking kde-base/kdebase-menu-icons-4.3.0)   
[blocks B     ] kde-base/kdebase-data:4.2[-kdeprefix] ("kde-base/kdebase-data:4.2[-kdeprefix]" is blocking kde-base/kdebase-data-4.3.0)     
[blocks B     ] kde-base/libkdepim:4.3[-kdeprefix] ("kde-base/libkdepim:4.3[-kdeprefix]" is blocking kde-base/libkdepim-4.2.4)             
[blocks B     ] kde-base/libkworkspace:4.3[-kdeprefix] ("kde-base/libkworkspace:4.3[-kdeprefix]" is blocking kde-base/libkworkspace-4.2.4) 
[blocks B     ] kde-base/libkworkspace:4.2[-kdeprefix] ("kde-base/libkworkspace:4.2[-kdeprefix]" is blocking kde-base/kdelibs-4.3.0, kde-base/libkworkspace-4.3.0)                                                                                                                     
[blocks B     ] kde-base/kioclient:4.3[-kdeprefix] ("kde-base/kioclient:4.3[-kdeprefix]" is blocking kde-base/kioclient-4.2.4)             
[blocks B     ] kde-base/ksysguard:4.3[-kdeprefix] ("kde-base/ksysguard:4.3[-kdeprefix]" is blocking kde-base/ksysguard-4.2.4)             
[blocks B     ] kde-base/kontactinterfaces:4.3[-kdeprefix] ("kde-base/kontactinterfaces:4.3[-kdeprefix]" is blocking kde-base/kontactinterfaces-4.2.4)                                                                                                                                 
[blocks B     ] kde-base/akregator:4.2[-kdeprefix] ("kde-base/akregator:4.2[-kdeprefix]" is blocking kde-base/akregator-4.3.0)             
[blocks B     ] kde-base/kdepimlibs:4.2[-kdeprefix] ("kde-base/kdepimlibs:4.2[-kdeprefix]" is blocking kde-base/kdepimlibs-4.3.0)           
[blocks B     ] <kde-base/plasma-workspace-4.3.0[-kdeprefix] ("<kde-base/plasma-workspace-4.3.0[-kdeprefix]" is blocking kde-base/kdebase-desktoptheme-4.3.0)                                                                                                                           
[blocks B     ] <kde-base/kdebase-data-4.2.67:4.2[-kdeprefix] ("<kde-base/kdebase-data-4.2.67:4.2[-kdeprefix]" is blocking kde-base/oxygen-icons-4.3.0)                                                                                                                                 
[blocks B     ] kde-base/libtaskmanager:4.2[-kdeprefix] ("kde-base/libtaskmanager:4.2[-kdeprefix]" is blocking kde-base/libtaskmanager-4.3.0)                                                                                                                                           
[blocks B     ] kde-base/pykde4:4.3[-kdeprefix] ("kde-base/pykde4:4.3[-kdeprefix]" is blocking kde-base/pykde4-4.2.4-r2)                   
[blocks B     ] kde-base/soliduiserver:4.2[-kdeprefix] ("kde-base/soliduiserver:4.2[-kdeprefix]" is blocking kde-base/soliduiserver-4.3.0) 
[blocks B     ] <kde-base/plasma-workspace-4.2.90[-kdeprefix] ("<kde-base/plasma-workspace-4.2.90[-kdeprefix]" is blocking kde-base/plasma-runtime-4.3.0)                                                                                                                               
[blocks B     ] kde-base/solid:4.3[-kdeprefix] ("kde-base/solid:4.3[-kdeprefix]" is blocking kde-base/solid-4.2.4)                         
[blocks B     ] kde-base/solid:4.2[-kdeprefix] ("kde-base/solid:4.2[-kdeprefix]" is blocking kde-base/solid-4.3.0)                         
[blocks B     ] kde-base/kde-env:4.2[-kdeprefix] ("kde-base/kde-env:4.2[-kdeprefix]" is blocking kde-base/kde-env-4.3.0)                   
[blocks B     ] kde-base/akregator:4.3[-kdeprefix] ("kde-base/akregator:4.3[-kdeprefix]" is blocking kde-base/akregator-4.2.4)             
[blocks B     ] kde-base/kdelibs:4.3[-kdeprefix] ("kde-base/kdelibs:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.2.4-r4)                 
[blocks B     ] kde-base/libtaskmanager:4.3[-kdeprefix] ("kde-base/libtaskmanager:4.3[-kdeprefix]" is blocking kde-base/libtaskmanager-4.2.4)                                                                                                                                           
[blocks B     ] kde-base/soliduiserver:4.3[-kdeprefix] ("kde-base/soliduiserver:4.3[-kdeprefix]" is blocking kde-base/soliduiserver-4.2.4) 
[blocks B     ] kde-base/ksysguard:4.2[-kdeprefix] ("kde-base/ksysguard:4.2[-kdeprefix]" is blocking kde-base/ksysguard-4.3.0)             
[blocks B     ] kde-base/libplasmaclock:4.3[-kdeprefix] ("kde-base/libplasmaclock:4.3[-kdeprefix]" is blocking kde-base/libplasmaclock-4.2.4)                                                                                                                                           
[blocks B     ] >=kde-base/kode-4.1.0[-kdeprefix] (">=kde-base/kode-4.1.0[-kdeprefix]" is blocking kde-base/libkdepim-4.3.0)               
[blocks B     ] kde-base/plasma-workspace:4.2[-kdeprefix] ("kde-base/plasma-workspace:4.2[-kdeprefix]" is blocking kde-base/plasma-workspace-4.3.0)                                                                                                                                     
[blocks B     ] kde-base/libplasmaclock:4.2[-kdeprefix] ("kde-base/libplasmaclock:4.2[-kdeprefix]" is blocking kde-base/libplasmaclock-4.3.0)                                                                                                                                           
[blocks B     ] kde-base/kephal:4.2[-kdeprefix] ("kde-base/kephal:4.2[-kdeprefix]" is blocking kde-base/kephal-4.3.0)                       
[blocks B     ] <kde-base/kdebase-data-4.2.88:4.2[-kdeprefix] ("<kde-base/kdebase-data-4.2.88:4.2[-kdeprefix]" is blocking kde-base/kdeplasma-addons-4.3.0)                                                                                                                             
[blocks B     ] kde-base/kde-env:4.3[-kdeprefix] ("kde-base/kde-env:4.3[-kdeprefix]" is blocking kde-base/kde-env-4.2.4)                   
[blocks B     ] kde-base/kdelibs:4.2[-kdeprefix] ("kde-base/kdelibs:4.2[-kdeprefix]" is blocking kde-base/kdelibs-4.3.0)                   
[blocks B     ] kde-base/kdebase-data:4.3[-kdeprefix] ("kde-base/kdebase-data:4.3[-kdeprefix]" is blocking kde-base/kdebase-data-4.2.4-r1) 
[blocks B     ] kde-base/kephal:4.3[-kdeprefix] ("kde-base/kephal:4.3[-kdeprefix]" is blocking kde-base/kephal-4.2.4)
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Wed Aug 05, 2009 9:16 pm    Post subject: Reply with quote

derdestiller wrote:
This is upgrade from 4.2.4. Do i have to unmerge 4.2.4 first?


Yes
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
baeksu
l33t
l33t


Joined: 26 Sep 2004
Posts: 609
Location: Seoul, Korea

PostPosted: Thu Aug 06, 2009 4:46 am    Post subject: Reply with quote

loftwyr wrote:
derdestiller wrote:
This is upgrade from 4.2.4. Do i have to unmerge 4.2.4 first?


Yes
In my case, I didn't need to unmerge anything. Portage resolved the blocks automatically.

According to this blog entry:
Quote:
if you’re trying to upgrade from kde 4.2, but portage gives you nice little blocks, there are a few things you can check:

  • make sure you’ve synced the tree and kde-testing overlay (if using it) :p
  • make sure the unmask/keyword files are correct and up-to-date
  • check that you don’t have any 4.2 versioned kde-base/* items in /var/lib/portage/world
  • check that you don’t have any 4.2 versioned sets in /var/lib/portage/world_sets
  • emerge -avDuN world — you’ll probably get some messy output but all blocks should be automatically resolved

_________________
Gnome:
1. A legendary being.
2. A never ending quest to make unix friendly to people who don't want unix and excruciating for those that do.
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 156

PostPosted: Thu Aug 06, 2009 9:44 am    Post subject: Reply with quote

Hello to everyone.

I've written an ebuild for the ruby kde 4 bindings which, as far as I know, is missing in both the kde-testing overlay and the official portage tree. I'd like to suggest its addition to the overlay, but I don't know how to do that (I searched google, but I couldn't find a home page or a bug tracker for it). I'd use the Gentoo bug tracker, but my ebuild is only for the live version which, as far as I know, is not officially supported (it should be easy to adapt it to other versions, but I don't have them installed). Do you have any suggestion on how I should proceed? Maybe I should post it here? (I thought about posting it here directly but it's a bit long and I don't like posting long pieces of code in the forum unless its really necessary).

Thanks in advance
_________________
Stefano
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Fri Aug 07, 2009 6:30 am    Post subject: Reply with quote

Open a bug in Gentoo bugzilla with [kde-testing] prefix for inclusion of a new ebuild.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 156

PostPosted: Fri Aug 07, 2009 6:32 am    Post subject: Reply with quote

genstorm wrote:
Open a bug in Gentoo bugzilla with [kde-testing] prefix for inclusion of a new ebuild.

Thanks for the answer. I'll do that.
_________________
Stefano
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Sat Aug 08, 2009 12:28 pm    Post subject: Reply with quote

I've been experiencing some strange problems with keyboard shortcuts. For example, CTRL+S does not work in Kate, Kwrite and etc, it just says that "This shortcut is ambiguous (...)". If I go to the shortcuts panel it does not have anything ambiguous.

It is a random problem, it happens with random shortcuts and they change if in each KDE session...

Does anyone got a similar issue?
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
Dancingfire
n00b
n00b


Joined: 01 Jan 2007
Posts: 37

PostPosted: Sat Aug 08, 2009 9:21 pm    Post subject: Reply with quote

There's an svn repository for GSoC project which aims at adding tabs support for kwin
http://websvn.kde.org/branches/work/kwin-tabbing/
atm it already can something, according to this screenshot:
http://www.jmata.co.cc/res/pics/oxygen-tabs-27.png

I'm wondering, if our kde team could add may be a use-flag to compile this branch of kwin instead of the official one or a separate ebuild, to give us a chance to test this thing.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Aug 08, 2009 9:44 pm    Post subject: Reply with quote

Dancingfire wrote:
There's an svn repository for GSoC project which aims at adding tabs support for kwin
http://websvn.kde.org/branches/work/kwin-tabbing/
atm it already can something, according to this screenshot:
http://www.jmata.co.cc/res/pics/oxygen-tabs-27.png

I'm wondering, if our kde team could add may be a use-flag to compile this branch of kwin instead of the official one or a separate ebuild, to give us a chance to test this thing.


very interesting and useful :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Sun Aug 09, 2009 8:01 pm    Post subject: Reply with quote

Just sync'd, and completed @kdedeps-live and @kdelibs-live, but on @kdebase-live I get this:
Code:
ebuild   R   ] kde-base/kdebase-startkde-9999  USE="(-aqua) (-kdeprefix)" 0 kB [1]

Total: 82 packages (5 new, 77 reinstalls), Size of downloads: 1,685 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/kde-testing


>>> Verifying ebuild manifests

!!! A file listed in the Manifest could not be found: /usr/local/portage/layman/kde-testing/kde-base/konqueror/konqueror-4.3.0.ebuild

I looked, and it's not there, but konqueror.9999 is. Should I re-digest konqueror.9999?

In the kdebase-live set, there is this listed:
Code:
kde-base/konqueror:live


emerge -pv1 @kdebase-live lists
Code:
kde-base/konqueror-9999

EDIT: I removed the lines for kde-4.3.0 in the manifest file (including the SHA lines), and @kdebase-live is now compiling packages normally. Is the manifest file wrong, and there's not suppose to be 4.3.0 in there, or is the konqueror-4.3.0.ebuild just missing?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6 ... 36, 37, 38  Next
Page 5 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum